DEFAULT_NUMERICAL_FEATURES_HANDLING = {'generate_derivative': False,
 'numerical_handling': 'REGULAR',
 'missing_handling': 'IMPUTE',
 'missing_impute_with': 'MEAN',
 'impute_constant_value': 0.0,
 'keep_regular': False,
 'rescaling': 'AVGSTD',
 'quantile_bin_nb_bins': 4,
 'binarize_threshold_mode': 'MEDIAN',
 'binarize_constant_threshold': 0.0,
 'datetime_cyclical_periods': [],
 'role': 'INPUT',
 'type': 'NUMERIC',
 'customHandlingCode': '',
 'customProcessorWantsMatrix': False,
 'sendToInput': 'main'}

DEFAULT_CATEGORICAL_FEATURES_HANDLING = {'category_handling': 'DUMMIFY',
 'missing_handling': 'NONE',
 'missing_impute_with': 'MODE',
 'dummy_clip': 'MAX_NB_CATEGORIES',
 'cumulative_proportion': 0.95,
 'min_samples': 10,
 'max_nb_categories': 100,
 'max_cat_safety': 200,
 'nb_bins_hashing': 1048576,
 'hash_whole_categories': True,
 'dummy_drop': 'AUTO',
 'impact_method': 'M_ESTIMATOR',
 'impact_m': 10,
 'impact_kfold': True,
 'impact_kfold_k': 5,
 'impact_kfold_seed': 1337,
 'ordinal_order': 'COUNT',
 'ordinal_ascending': False,
 'ordinal_default_mode': 'HIGHEST',
 'ordinal_default_value': 0,
 'frequency_default_mode': 'EXPLICIT',
 'frequency_default_value': 0.0,
 'frequency_normalized': True,
 'role': 'INPUT',
 'type': 'CATEGORY',
 'customHandlingCode': '',
 'customProcessorWantsMatrix': False,
 'sendToInput': 'main'}

DEFAULT_DATETIME_CYCLICAL_FEATURES_HANDLING = {'generate_derivative': False,
 'numerical_handling': 'DATETIME_CYCLICAL',
 'missing_handling': 'DROP_ROW',
 'missing_impute_with': 'MEDIAN',
 'impute_constant_value': 0.0,
 'keep_regular': False,
 'rescaling': 'AVGSTD',
 'quantile_bin_nb_bins': 4,
 'binarize_threshold_mode': 'MEDIAN',
 'binarize_constant_threshold': 0.0,
 'datetime_cyclical_periods': ['YEAR'],
 'role': 'INPUT',
 'type': 'NUMERIC',
 'customHandlingCode': '',
 'customProcessorWantsMatrix': False,
 'sendToInput': 'main'}

DEFAULT_TEXT_TFIDF_FEATURES_HANDLING = {'text_handling': 'TOKENIZE_TFIDF',
 'minRowsRatio': 0.001,
 'maxRowsRatio': 0.8,
 'maxWords': 0,
 'ngramMinSize': 1,
 'ngramMaxSize': 1,
 'hashSize': 200000,
 'hashSVDSVDLimit': 50000,
 'hashSVDSVDComponents': 100,
 'stopWordsMode': 'NONE',
 'maxSequenceLength': 128,
 'sentenceEmbeddingBatchSize': 32,
 'useCustomVectorizer': False,
 'role': 'INPUT',
 'type': 'TEXT',
 'customHandlingCode': '',
 'customProcessorWantsMatrix': False,
 'sendToInput': 'main'}

DEFAULT_TEXT_COUNT_VECTORIZATION_FEATURES_HANDLING = {'text_handling': 'TOKENIZE_COUNTS',
 'minRowsRatio': 0.001,
 'maxRowsRatio': 0.8,
 'maxWords': 0,
 'ngramMinSize': 1,
 'ngramMaxSize': 1,
 'hashSize': 200000,
 'hashSVDSVDLimit': 50000,
 'hashSVDSVDComponents': 100,
 'stopWordsMode': 'NONE',
 'maxSequenceLength': 128,
 'sentenceEmbeddingBatchSize': 32,
 'useCustomVectorizer': False,
 'role': 'INPUT',
 'type': 'TEXT',
 'customHandlingCode': '',
 'customProcessorWantsMatrix': False,
 'sendToInput': 'main'}

DEFAULT_VECTOR_FEATURES_HANDLING = {'vector_handling': 'UNFOLD',
 'missing_handling': 'NONE',
 'missing_impute_with': 'MODE',
 'role': 'INPUT',
 'type': 'VECTOR',
 'customHandlingCode': '',
 'customProcessorWantsMatrix': False,
 'sendToInput': 'main'}