# Lifetime Statistical Prediction

![Lifetimes Statistical Prediction.png](4g71OcDXpspY)

Train a [Lifetimes](https://lifetimes.readthedocs.io/en/latest/) statistical model to predict the future CLV and score both the train and test dataset. It uses the customer's age (time since the first transaction), the recency (time between the first and their last transaction), the frequency (number of time periods with a customer transaction), and their average monetary value per transaction to build an estimation of their number of transactions with a given value. Missing values due to incomplete data are filled at 0.

Model used for our prediction : [here](https://lifetimes.readthedocs.io/en/latest/Quickstart.html#estimating-customer-lifetime-value-using-the-gamma-gamma-model)

The lifetimes prediction will be used as an input for the classification and regression models and as a reference for performance evaluation.

See [Modelization parameters](article:20) to modify the penalizers if you have convergence issues during training
